import { UrlSource } from '../player/source/UrlSource';
import { VidSts } from '../player/source/VidSts';
import { VidAuth } from '../player/source/VidAuth';
export class PreloadTask {
    constructor(g6, h6) {
        this.source = null;
        this.source = g6;
        this.config = h6;
        if (g6 instanceof UrlSource) {
            this.sourceType = "UrlSource";
        }
        else if (g6 instanceof VidSts) {
            this.sourceType = "VidSts";
        }
        else if (g6 instanceof VidAuth) {
            this.sourceType = "VidAuth";
        }
        else {
            this.sourceType = "Unknown";
        }
    }
    getSource() {
        return this.source;
    }
    getConfig() {
        return this.config;
    }
    getSourceType() {
        return this.sourceType;
    }
}
